

# StartVariantImportJob
<a name="API_StartVariantImportJob"></a>

**Important**  
 AWS HealthOmics variant stores and annotation stores are no longer open to new customers. Existing customers can continue to use the service as normal. For more information, see [AWS HealthOmics variant store and annotation store availability change](https://docs.aws.amazon.com/omics/latest/dev/variant-store-availability-change.html).

Starts a variant import job.

## Request Syntax
<a name="API_StartVariantImportJob_RequestSyntax"></a>

```
POST /import/variant HTTP/1.1
Content-type: application/json

{
   "annotationFields": { 
      "string" : "string" 
   },
   "destinationName": "string",
   "items": [ 
      { 
         "source": "string"
      }
   ],
   "roleArn": "string",
   "runLeftNormalization": boolean
}
```

## URI Request Parameters
<a name="API_StartVariantImportJob_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_StartVariantImportJob_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [annotationFields](#API_StartVariantImportJob_RequestSyntax) **   <a name="omics-StartVariantImportJob-request-annotationFields"></a>
The annotation schema generated by the parsed annotation data.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 21.  
Value Length Constraints: Minimum length of 1. Maximum length of 21.  
Required: No

 ** [destinationName](#API_StartVariantImportJob_RequestSyntax) **   <a name="omics-StartVariantImportJob-request-destinationName"></a>
The destination variant store for the job.  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 255.  
Pattern: `([a-z]){1}([a-z0-9_]){2,254}`   
Required: Yes

 ** [items](#API_StartVariantImportJob_RequestSyntax) **   <a name="omics-StartVariantImportJob-request-items"></a>
Items to import.  
Type: Array of [VariantImportItemSource](API_VariantImportItemSource.md) objects  
Array Members: Minimum number of 1 item.  
Required: Yes

 ** [roleArn](#API_StartVariantImportJob_RequestSyntax) **   <a name="omics-StartVariantImportJob-request-roleArn"></a>
A service role for the job.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:([^: ]*):([^: ]*):([^: ]*):([0-9]{12}):([^: ]*)`   
Required: Yes

 ** [runLeftNormalization](#API_StartVariantImportJob_RequestSyntax) **   <a name="omics-StartVariantImportJob-request-runLeftNormalization"></a>
The job's left normalization setting.  
Type: Boolean  
Required: No

## Response Syntax
<a name="API_StartVariantImportJob_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "jobId": "string"
}
```

## Response Elements
<a name="API_StartVariantImportJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [jobId](#API_StartVariantImportJob_ResponseSyntax) **   <a name="omics-StartVariantImportJob-response-jobId"></a>
The job's ID.  
Type: String  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_StartVariantImportJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred. Try the request again.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The target resource was not found in the current Region.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request exceeds a service quota.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_StartVariantImportJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/omics-2022-11-28/StartVariantImportJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/omics-2022-11-28/StartVariantImportJob) 